Subject: Re: [PATCH] Change 'Deltifying objects' to 'Delta compressing objects'

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 18 Oct 2007 22:21:54 -0400

Jeff King <[email-masked]> wrote:
> On Thu, Oct 18, 2007 at 08:45:27PM -0400, Shawn O. Pearce wrote:
> 
> > Recently I was referred to the Grammar Police as the git-pack-objects
> > progress message 'Deltifying %u objects' is considered to be not
> > proper English to at least some small but vocal segment of the
> > English speaking population.  Techncially we are applying delta
> > compression to these objects at this stage, so the new term is
> > slightly more acceptable to the Grammar Police but is also just
> > as correct.
> 
> Boo. I _like_ "deltifying". Sure, it's probably not in the dictionary,
> but that's how languages change: saying "delta compressing" all the time
> will get awkward, so people invent a new word using existing rules to
> explain a common phenomenon.

My eyes have gotten used to "Deltifying" but I have to admit that
in my early Git days I thought it looked damn odd.  Today I'm far
too familiar with Git to really notice this as a problem now.

I really don't have an opinion either way.  Actually I think the
entire progress system of git-pack-objects should be reduced even
further so that users aren't exposed to the internal phases we
are going through.  Most of them just don't care.  They just
want to know when its going to be done[*1*].

> Anyway, if you want to please the Grammar Police, should it not be
> "Delta-compressing"?  "Delta" is not an adverb here, but rather the
> phrase acts as a compound verb (i.e., the two words work in place of a
> single verb). Although "Delta-compressing objects" just looks stupid.

Yea, that is just stupid.  And is why I didn't use a - in my patch.

*1*: Yes, yes, I know that's hard to predict and impossible in
the really important cases (like network transfer of not yet
compressed data).  So just telling them that we are working and
have recently done something useful towards finishing our goal is
more than enough.  Its like putting mirrors on the wall in a lobby;
folks won't notice how long it takes for the elevator to arrive as
they are too busy preening themselves.

-- 
Shawn.